# Maintainer: Sven-Hendrik Haase <sh@lutzhaase.com>
# Contributor: M0Rf30
# Contributor: Samsagax <samsagax@gmail.com>

_pkgname=bbswitch
pkgname=$_pkgname-bede-lts
pkgver=0.8
_current_linux_version=6.1.26
_next_linux_version=6.2
pkgrel=472
pkgdesc="Kernel module allowing to switch dedicated graphics card on Optimus laptops"
arch=('x86_64')
url="http://github.com/Bumblebee-Project/bbswitch"
license=('GPL')
depends=(
    "linux-bede-lts>=$_current_linux_version"
    "linux-bede-lts<$_next_linux_version"
)
makedepends=(
    "linux-bede-lts-headers>=$_current_linux_version"
    "linux-bede-lts-headers<$_next_linux_version"
    "bbswitch-dkms>=$pkgver"
)
source=()
sha512sums=()

## in case we need to do some patching
#build() {
    #_kernver="$(cat /usr/src/linux-bede-lts/version)"

    ## dkms need modification to be run as user
    #cp -Lr /var/lib/dkms .
    #echo "dkms_tree='$srcdir/dkms'" > dkms.conf

    #(
        #cd dkms/$_pkgname/${pkgver}/source
        #patch -p1 -i "$srcdir/kernel-5.7.patch"
    #)
    ## build host modules
    #dkms --dkmsframework dkms.conf build "$_pkgname/${pkgver}" -k "$_kernver"
#}

package() {
    local kernver=$(</usr/src/linux-bede-lts/version)
    local extradir="/usr/lib/modules/$kernver/extramodules"
    install -dm755 "${pkgdir}${extradir}/$_pkgname"
    # global dkms
    cp -a "/var/lib/dkms/$_pkgname/kernel-$kernver-x86_64/module"/* \
        "${pkgdir}${extradir}/$_pkgname/"
    # local home dkms
    #cp -a "$srcdir/dkms/$_pkgname/$pkgver/$kernver/x86_64/module"/* \
        #"${pkgdir}${extradir}/$_pkgname/"
}
